class SearchHotTagModel {
  String hot_title;
  String hot_title_color;
  List<SearchHostTagItemModel> search_hosts;

  SearchHotTagModel({this.hot_title, this.hot_title_color, this.search_hosts});

  factory SearchHotTagModel.fromJson(Map<String, dynamic> json) {
    return SearchHotTagModel(
      hot_title: json['hot_title'],
      hot_title_color: json['hot_title_color'],
      search_hosts: json['search_hosts'] != null ? (json['search_hosts'] as List).map((i) => SearchHostTagItemModel.fromJson(i)).toList() : null,
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['hot_title'] = this.hot_title;
    data['hot_title_color'] = this.hot_title_color;
    if (this.search_hosts != null) {
      data['search_hosts'] = this.search_hosts.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class SearchHostTagItemModel {
  String hot_icon;
  String is_hot;
  String keyword;
  String keyword_background_color;
  String keyword_color;

  SearchHostTagItemModel({this.hot_icon, this.is_hot, this.keyword, this.keyword_background_color, this.keyword_color});

  factory SearchHostTagItemModel.fromJson(Map<String, dynamic> json) {
    return SearchHostTagItemModel(
      hot_icon: json['hot_icon'],
      is_hot: json['is_hot'],
      keyword: json['keyword'],
      keyword_background_color: json['keyword_background_color'],
      keyword_color: json['keyword_color'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['hot_icon'] = this.hot_icon;
    data['is_hot'] = this.is_hot;
    data['keyword'] = this.keyword;
    data['keyword_background_color'] = this.keyword_background_color;
    data['keyword_color'] = this.keyword_color;
    return data;
  }
}
